2000-02-22 14:44  mhall

	* weka/attributeSelection/Makefile (1.11): Added RaceSearch,
	ClassifierSubsetEval, HoldOutSubsetEvaluator and
	ErrorBasedMeritEvaluator.

2000-02-22 13:43  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.5): Doc fix.

2000-02-22 12:16  mhall

	* weka/classifiers/UserClassifier.java (1.2): Changed to accomodate
	the move of the treevisualizer and VisualizePanel from explorer to
	gui

2000-02-22 12:02  mhall

	* weka/Makefile (1.23): Changed to reflect the move of
	VisualizePanel and treevisualizer from explorer to gui

2000-02-22 11:59  mhall

	* weka/gui/treevisualizer/Makefile (1.1): Re-added after stuff up

2000-02-22 11:58  mhall

	* weka/gui/treevisualizer/: TreeVisualizer.java (1.1), Colors.java
	(1.1), Edge.java (1.1), NamedColor.java (1.1), Node.java (1.1),
	NodePlace.java (1.1), PlaceNode1.java (1.1), PlaceNode2.java (1.1),
	TreeBuild.java (1.1), TreeDisplayEvent.java (1.1),
	TreeDisplayListener.java (1.1): Re-added after stuff-up

2000-02-22 11:33  mhall

	* weka/gui/explorer/Makefile (1.6): Modified for the move of
	VisualizePanel and treevisualizer

2000-02-22 11:32  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.15): Registered the
	FileEditor.class with the property editor manager.

2000-02-22 11:30  mhall

	* weka/gui/explorer/: AttributeSelectionPanel.java (1.14),
	ClassifierPanel.java (1.27), ClustererPanel.java (1.15),
	Explorer.java (1.12): Adjusted for moving the VisualizePanel to gui

2000-02-22 10:59  mhall

	* weka/gui/Makefile (1.11): Moved treevisualizer and VisualizePanel
	from explorer to gui.

2000-02-22 10:58  mhall

	* weka/gui/: VisualizePanel.java (1.1), VisualizePanelEvent.java
	(1.1), VisualizePanelListener.java (1.1): Moved from explorer to
	gui

2000-02-22 10:54  mhall

	* weka/gui/explorer/: VisualizePanelEvent.java (1.2),
	VisualizePanelListener.java (1.2): Moved to gui

2000-02-22 10:50  mhall

	* weka/gui/explorer/VisualizePanel.java (1.14): Moved to gui

2000-02-22 10:18  mhall

	* weka/gui/GenericObjectEditor.props (1.14): Added
	ClassifierSubsetEval and RaceSearch

2000-02-22 10:12  mhall

	* weka/attributeSelection/: ClassifierSubsetEval.java (1.1),
	ErrorBasedMeritEvaluator.java (1.1), HoldOutSubsetEvaluator.java
	(1.1), RaceSearch.java (1.1): Initial import.

2000-02-22 10:09  mhall

	* weka/attributeSelection/ASEvaluation.java (1.5): Added a
	makeCopies method.

2000-02-21 11:43  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.4): Now
	ignores attributes which are all missing or have only one distinct
	value.	Also allows normalization to be turned off.

2000-02-18 12:48  mhall

	* weka/gui/explorer/VisualizePanel.java (1.13): Fixed for some
	warnings when compiling with jikes1.11

2000-02-18 12:22  trigg

	* weka/classifiers/Evaluation.java (1.27): Model files support
	gzipping based on the model filename extension.

2000-02-18 09:54  trigg

	* weka/classifiers/SMO.java (1.10): Made inner class serializable.

2000-02-18 09:53  trigg

	* weka/Makefile (1.22): 'nother fix for doc generation. Now works
	when there is no previously generated documentation in the doc
	directory.

2000-02-18 09:49  trigg

	* weka/Makefile (1.21): Removed accidental uncommenting of doc
	manipulating...

2000-02-18 09:48  trigg

	* weka/gui/GenericObjectEditor.props (1.13): Added ObfuscateFilter

2000-02-18 09:47  trigg

	* weka/filters/: Makefile (1.12), ObfuscateFilter.java (1.1),
	ObsfucateFilter.java (1.2): Changed name of ObfuscateFilter.

2000-02-18 08:37  eibe

	* weka/: classifiers/SMO.java (1.9), core/Queue.java (1.3),
	filters/NormalizationFilter.java (1.3),
	filters/ReplaceMissingValuesFilter.java (1.4): Mainly memory
	savings. Small changes in SMO.

2000-02-17 23:09  trigg

	* weka/: Makefile (1.20), associations/Makefile (1.3),
	attributeSelection/Makefile (1.10), classifiers/Makefile (1.12),
	classifiers/j48/Makefile (1.2), classifiers/kstar/Makefile (1.2),
	classifiers/m5/Makefile (1.2), clusterers/Makefile (1.2),
	core/Makefile (1.6), estimators/Makefile (1.2), experiment/Makefile
	(1.6), filters/Makefile (1.11), gui/Makefile (1.10),
	gui/experiment/Makefile (1.3), gui/explorer/Makefile (1.5),
	gui/streams/Makefile (1.2): Makefiles now use JAVAC rather than
	JAVA for consistency with the rest of the world. :-).

2000-02-17 20:34  trigg

	* weka/filters/AttributeFilter.java (1.6): Made attribute lists
	look a little nicer

2000-02-17 12:22  eibe

	* weka/classifiers/j48/ClassifierTree.java (1.9): Fixed bug in
	outputting graph.

2000-02-17 11:10  trigg

	* weka/filters/Makefile (1.10): Added ObsfucateFilter

2000-02-17 11:10  trigg

	* weka/filters/ObsfucateFilter.java (1.1): Initial version.
	Currently only converts numeric and nominal values.

2000-02-16 14:27  trigg

	* weka/filters/ReplaceMissingValuesFilter.java (1.3): Sped up by
	changing from setValue to building new instance from a double
	array.

2000-02-16 11:49  mhall

	* weka/classifiers/kstar/KStar.java (1.3): Removed output to
	Stderr.

2000-02-16 11:43  mhall

	* weka/attributeSelection/Makefile (1.9): Added PrincipalComponents

2000-02-16 11:04  eibe

	* weka/classifiers/SMO.java (1.8): Added options, for example, for
	turning rescaling and lower-order terms on and off.

2000-02-16 11:03  eibe

	* weka/classifiers/j48/J48.java (1.15): Made some options mutually
	exclusive in set- and get-methods.

2000-02-16 09:51  eibe

	* weka/classifiers/j48/: C45PruneableClassifierTree.java (1.4),
	ClassifierTree.java (1.8), J48.java (1.14),
	PruneableClassifierTree.java (1.3): Included option that preserves
	Instances data for visualization.

2000-02-15 13:07  eibe

	* weka/classifiers/SMO.java (1.7): - Implemented speed-up for
	linear feature space - Implemented Keerthi et al.'s modifications -
	Implemented fast kernel caching - Shane and Stuart: implemented
	sparse vector code

2000-02-11 16:30  mhall

	* weka/attributeSelection/: AttributeEvaluator.java (1.5),
	SubsetEvaluator.java (1.5): Doc fix.

2000-02-11 15:29  mhall

	* weka/gui/explorer/VisualizePanelEvent.java (1.1): Initial import.

2000-02-11 14:07  mhall

	* weka/Makefile (1.19): Added treevisualizer.

2000-02-11 14:03  mhall

	* weka/: experiment/AveragingResultProducer.java (1.8),
	experiment/DatabaseResultProducer.java (1.8),
	experiment/RegressionSplitEvaluator.java (1.5),
	attributeSelection/PrincipalComponents.java (1.3): Doc fix.

2000-02-11 14:02  mhall

	* weka/gui/explorer/VisualizePanel.java (1.12): doc fix.

2000-02-11 13:42  mhall

	* weka/gui/GenericObjectEditor.props (1.12): Added UserClassifier
	and PrincipalComponents.

2000-02-11 13:40  mhall

	* weka/gui/: explorer/Makefile (1.4), Makefile (1.9): Added
	treevisualizer stuff.

2000-02-11 13:38  mhall

	* weka/gui/explorer/VisualizePanel.java (1.11): Major enhancements
	by Malcolm Ware. Attribute bars, shape drawing etc.

2000-02-11 13:37  mhall

	* weka/gui/explorer/VisualizePanelListener.java (1.1): Initial
	import.

2000-02-11 13:35  mhall

	* weka/classifiers/Makefile (1.11): Added the UserClassifier

2000-02-11 13:34  mhall

	* weka/gui/GenericObjectEditor.java (1.15): Modified so that the ok
	and cancel buttons can be listened to.

2000-02-11 13:33  mhall

	* weka/classifiers/UserClassifier.java (1.1): Initial import.

2000-02-11 11:36  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.14): Bird now animates
	when data is being passed through filters.

2000-02-11 09:20  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.2): Added
	more to the global info.

2000-02-10 16:54  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.26): Changed the class
	combo box to prevent it from expanding out of control horizontally.

2000-02-10 16:54  mhall

	* weka/gui/explorer/AttributeSelectionPanel.java (1.13): Added a
	visualize button to accomodate attribute transformers. Changed the
	class combo box to stop it from expanding out of control
	horizontally.

2000-02-10 16:51  mhall

	* weka/filters/AttributeSelectionFilter.java (1.12): Modified to
	accomodate attribute transformers.

2000-02-10 16:50  mhall

	* weka/attributeSelection/: AttributeSelection.java (1.14),
	RankSearch.java (1.3), Ranker.java (1.11): Modified to handle
	attribute transformers.

2000-02-10 16:49  mhall

	* weka/attributeSelection/: AttributeTransformer.java (1.1),
	PrincipalComponents.java (1.1): Initial import.

2000-02-09 16:14  mhall

	* weka/classifiers/kstar/KStar.java (1.2): Fixed bug that prevented
	correct initialization for -E option during incremental training.

2000-02-09 14:40  trigg

	* weka/gui/GenericArrayEditor.java (1.7): - Fixed problem found by
	jikes but not javac.

2000-02-07 13:43  mhall

	* weka/classifiers/Makefile (1.10): Removed an errant entry.

2000-02-07 11:21  mhall

	* weka/: attributeSelection/BestFirst.java (1.15),
	clusterers/ClusterEvaluation.java (1.9): Slight doc fix.

2000-02-07 11:21  mhall

	* weka/experiment/: AveragingResultProducer.java (1.7),
	CSVResultListener.java (1.5), DatabaseResultListener.java (1.4),
	OutputZipper.java (1.2), ResultListener.java (1.3): Minor doc
	fixes.

2000-02-07 10:27  mhall

	* weka/: gui/GenericObjectEditor.props (1.11), Makefile (1.18):
	added kstar

2000-02-07 10:26  mhall

	* weka/classifiers/kstar/Makefile (1.1): initial import

2000-02-07 10:26  mhall

	* weka/classifiers/Makefile (1.9): Added kstar

2000-02-07 10:25  mhall

	* weka/classifiers/kstar/: KStar.java (1.1), KStarCache.java (1.1),
	KStarConstants.java (1.1), KStarNominalAttribute.java (1.1),
	KStarNumericAttribute.java (1.1), KStarWrapper.java (1.1),
	LightHashTable.java (1.1): Initial import.

2000-02-04 14:02  mhall

	* weka/experiment/: InstancesResultListener.java (1.3),
	CSVResultListener.java (1.4), DatabaseResultListener.java (1.3),
	DatabaseUtils.java (1.7): Added global info and TipText methods.

2000-02-04 11:33  mhall

	* weka/classifiers/m5/M5Prime.java (1.8): Added additional measure
	methods to return the number of linear models, number of leaves in
	the tree and number of rules.

2000-02-04 11:32  mhall

	* weka/classifiers/j48/PART.java (1.10): Added additional measure
	meathod to return the number of rules.

2000-02-04 11:31  mhall

	* weka/experiment/RegressionSplitEvaluator.java (1.4): fixed bug in
	array allocation.

2000-02-03 17:13  mhall

	* weka/classifiers/j48/J48.java (1.13): added additional measure
	methods to return number of nodes, leaves and rules.

2000-02-03 17:12  mhall

	* weka/classifiers/DecisionTable.java (1.13): added an additional
	measure method to return the number of rules.

2000-02-03 17:09  mhall

	* weka/experiment/: AveragingResultProducer.java (1.6),
	CSVResultListener.java (1.3), ClassifierSplitEvaluator.java (1.4),
	CostSensitiveClassifierSplitEvaluator.java (1.4),
	CrossValidationResultProducer.java (1.5),
	DatabaseResultListener.java (1.2), DatabaseResultProducer.java
	(1.7), Experiment.java (1.5), RandomSplitResultProducer.java (1.5),
	RegressionSplitEvaluator.java (1.3), ResultListener.java (1.2),
	ResultProducer.java (1.3), SplitEvaluator.java (1.3): Modified to
	allow any additional "measures" (eg. tree sizes, number of nodes
	etc) of low level split evaluators to be included (if destination
	listener constraints allow)  in results generated by result
	producers.

2000-01-25 14:13  mhall

	* weka/experiment/: CostSensitiveClassifierSplitEvaluator.java
	(1.3), AveragingResultProducer.java (1.5),
	CrossValidationResultProducer.java (1.4),
	RandomSplitResultProducer.java (1.4), DatabaseResultProducer.java
	(1.6): Added support for saving raw split evaluator output to
	zip/gzip files. Also added globalInfo and TipTexts.

2000-01-25 14:09  mhall

	* weka/experiment/: SplitEvaluator.java (1.2),
	ClassifierSplitEvaluator.java (1.3), RegressionSplitEvaluator.java
	(1.2): Added support for saving raw split evaluator output to
	zip/gzip files. Also added globalInfo and TipTexts.

2000-01-25 14:07  mhall

	* weka/experiment/OutputZipper.java (1.1): Initial import.

2000-01-25 14:06  mhall

	* weka/gui/FileEditor.java (1.4): Changed to allow the selection of
	directories.

2000-01-24 08:53  mhall

	* weka/attributeSelection/OneRAttributeEval.java (1.5): Global info
	fix.

2000-01-21 14:41  mhall

	* weka/gui/experiment/ResultsPanel.java (1.13): Added save output
	button.

2000-01-21 14:40  mhall

	* weka/gui/SaveBuffer.java (1.3): Fixed last visited directory
	recall.

2000-01-21 14:15  mhall

	* weka/gui/explorer/: AttributeSelectionPanel.java (1.12),
	ClustererPanel.java (1.14), AssociationsPanel.java (1.11): Slight
	doc fix for the saveBuffer method.

2000-01-21 13:36  mhall

	* weka/gui/SaveBuffer.java (1.2): Slight doc fix.

2000-01-21 12:26  mhall

	* weka/gui/Makefile (1.8): Added SaveBuffer.

2000-01-21 12:21  mhall

	* weka/gui/explorer/: AttributeSelectionPanel.java (1.11),
	ClustererPanel.java (1.13), AssociationsPanel.java (1.10),
	ClassifierPanel.java (1.25): Added the ability to append/overwrite
	output to a file.

2000-01-21 12:20  mhall

	* weka/gui/SaveBuffer.java (1.1): Initial import.

2000-01-21 10:11  trigg

	* weka/classifiers/RegressionByDiscretization.java (1.6): - Fixed
	compilation bug that referenced a removed method of
	DiscretizationFilter

2000-01-18 09:14  mhall

	* weka/classifiers/: OneR.java (1.9), DecisionTable.java (1.12),
	HyperPipes.java (1.5), Prism.java (1.9): Made inner classes
	Serializable so that saving and loading works.

2000-01-17 16:07  mhall

	* weka/attributeSelection/ForwardSelection.java (1.8): Slight
	change to docs.

2000-01-17 16:06  mhall

	* weka/attributeSelection/RankSearch.java (1.2): Changed so that
	SubsetEvaluators can be used to generate the initial ranking.  If a
	subset evaluator is selected, then a forward selection search using
	-R (to generate a ranking) is used.

2000-01-17 16:05  mhall

	* weka/attributeSelection/AttributeSelection.java (1.13): Fixed so
	that merit values are output correctly when the wrapper is used in
	conjunction with forward selection with -R. Also changed so that
	cross validated rankings are ordered by mean rank rather than mean
	merit.

2000-01-12 11:40  trigg

	* weka/filters/ResampleFilter.java (1.3): - Changed behaviour for
	batch mode -- no resampling is done in non-initial batches.

2000-01-11 11:14  trigg

	* weka/classifiers/DecisionStump.java (1.10): - Slightly more
	intelligible source output

2000-01-10 13:02  trigg

	* weka/gui/explorer/: ClassifierPanel.java (1.24),
	ClustererPanel.java (1.12): - call to taskFinished was in the wrong
	place.

2000-01-10 13:01  trigg

	* weka/gui/WekaTaskMonitor.java (1.3): - (spazzed on the last
	update). Removed the border so that the component takes up less
	space when added to other panels.

2000-01-10 12:55  trigg

	* weka/gui/WekaTaskMonitor.java (1.2): - Removed border so it the
	component

2000-01-10 11:11  trigg

	* weka/gui/explorer/ClassifierPanel.java (1.23): - reworded class
	breakdown in gui, added evaluation cost matrix to output when
	necessary.

2000-01-10 11:09  trigg

	* weka/gui/LogPanel.java (1.5): - Made default log area slightly
	smaller (means the result history area in ClassifierPanel isn't so
	stupidly small :-)).

2000-01-10 11:08  trigg

	* weka/classifiers/Evaluation.java (1.26): - Swept up detailed
	class breakdown and related stats.

2000-01-10 11:07  trigg

	* weka/core/Matrix.java (1.5): - made toString() work out column
	width automagically.

2000-01-06 16:59  mhall

	* weka/gui/Makefile (1.7): Added TaskLogger and WekaTaskMonitor.

2000-01-06 16:59  mhall

	* weka/Makefile (1.17): added the two images for the task logger.

2000-01-06 16:53  mhall

	* weka/gui/: LogPanel.java (1.4), explorer/ClassifierPanel.java
	(1.22), explorer/ClustererPanel.java (1.11), explorer/Explorer.java
	(1.11), explorer/AssociationsPanel.java (1.9),
	explorer/AttributeSelectionPanel.java (1.10): Added the task
	logger.

2000-01-06 16:52  mhall

	* weka/gui/PropertySheetPanel.java (1.5): Fixed small
	incompatability with java 1.1

2000-01-06 16:50  mhall

	* weka/gui/: weka_stationary.gif (1.1), weka_animated.gif (1.1),
	TaskLogger.java (1.1), WekaTaskMonitor.java (1.1): initial import

2000-01-06 16:15  trigg

	* weka/classifiers/LogitBoost.java (1.14): - Static classifier now
	has a method for retrieving the class distributions.

1999-12-24 15:37  trigg

	* weka/: filters/AddFilter.java (1.7), filters/AllFilter.java
	(1.3), filters/AttributeFilter.java (1.5),
	filters/CopyAttributesFilter.java (1.2),
	filters/DiscretizeFilter.java (1.7), filters/FirstOrderFilter.java
	(1.5), filters/NumericTransformFilter.java (1.4),
	filters/TimeSeriesTranslateFilter.java (1.2),
	gui/PropertySheetPanel.java (1.4), gui/ResultHistoryPanel.java
	(1.10): - Modified tiptext/about handling for gui. Started adding
	this info to filters.

1999-12-23 16:30  trigg

	* weka/core/Utils.java (1.15): - doubleToString barfed on doubles
	of a size that get converted to scientific notation, now returns
	the sci version rather than NaN.

1999-12-23 16:28  trigg

	* weka/classifiers/Evaluation.java (1.25): - Can now specify class
	name of static classifiers from command line.

1999-12-23 16:26  trigg

	* weka/experiment/Stats.java (1.4): - Fixed max/min calculation

1999-12-21 13:12  mhall

	* weka/attributeSelection/Makefile (1.8): Added RankSearch.java

1999-12-21 13:11  mhall

	* weka/gui/GenericObjectEditor.props (1.10): Added
	OneRAttributeEval and RankSearch

1999-12-21 13:06  mhall

	* weka/attributeSelection/RandomSearch.java (1.7): Just a missing ;

1999-12-21 11:52  mhall

	* weka/attributeSelection/: BestFirst.java (1.14),
	CfsSubsetEval.java (1.8), ConsistencySubsetEval.java (1.2),
	ExhaustiveSearch.java (1.4), ForwardSelection.java (1.7),
	GainRatioAttributeEval.java (1.6), GeneticSearch.java (1.7),
	InfoGainAttributeEval.java (1.6), RandomSearch.java (1.6),
	Ranker.java (1.10), ReliefFAttributeEval.java (1.7),
	SymmetricalUncertAttributeEval.java (1.6), WrapperSubsetEval.java
	(1.10): Added globalInfo and TipText for options.

1999-12-21 11:51  mhall

	* weka/gui/PropertySheetPanel.java (1.3): About information now
	displays extended text for TipText, if methods have them.  Also
	displays into a JScrollPane.

1999-12-21 07:27  trigg

	* weka/gui/GenericObjectEditor.props (1.9): - Removed a ".java"
	from the properties.

1999-12-15 11:36  trigg

	* weka/filters/DiscretizeFilter.java (1.6): - Speedup during
	instance conversion

1999-12-15 11:36  trigg

	* weka/classifiers/Evaluation.java (1.24): - Fixed typo in output.

1999-12-09 13:51  trigg

	* weka/classifiers/Evaluation.java (1.23): - Main utility method no
	longer removes string attributes from the dataset.  It's the
	classifier's responsibility to report if it cannot handle string
	attributes.

1999-12-09 11:21  trigg

	* weka/filters/: AddFilter.java (1.6), AttributeFilter.java (1.4),
	NominalToBinaryFilter.java (1.8), NormalizationFilter.java (1.2): -
	Changed to use Instance.toDoubleArray rather than calling setValue
	all the time -- vast speedup during filtering (especially when the
	number of attributes is high).

1999-12-09 11:17  trigg

	* weka/core/Instance.java (1.4): - Added a method to get the
	attribute values as a double array, and added a warning in the
	setValue documentation that it's far slower than you might expect.

1999-12-08 14:18  trigg

	* weka/gui/: experiment/DatasetListPanel.java (1.7),
	experiment/ResultsPanel.java (1.12), experiment/RunPanel.java
	(1.8), explorer/ClassifierPanel.java (1.21),
	explorer/PreprocessPanel.java (1.13): - Changed to use
	Instances.FILE_EXTENSION

1999-12-08 14:17  trigg

	* weka/gui/SetInstancesPanel.java (1.5): - Uses
	Instances.FILE_EXTENSION

1999-12-08 14:17  trigg

	* weka/gui/CostMatrixEditor.java (1.3): - Supports editing of
	diagonal values. Uses CostMatrix.FILE_EXTENSION

1999-12-08 14:16  trigg

	* weka/experiment/Makefile (1.5): - Added
	CostSensitiveClassifierSplitEvaluator.

1999-12-08 14:15  trigg

	* weka/experiment/CostSensitiveClassifierSplitEvaluator.java (1.2):
	- Uses average cost and total cost measures. Changed to use
	suggested cost file extension CostMatrix.FILE_EXTENSION.

1999-12-08 14:12  trigg

	* weka/core/Instances.java (1.16): - Added a public member for the
	suggested filename extension for arff files.

1999-12-08 14:11  trigg

	* weka/classifiers/MetaCost.java (1.3): - Uses suggested cost file
	extension CostMatrix.FILE_EXTENSION

1999-12-08 14:11  trigg

	* weka/classifiers/CostSensitiveClassifier.java (1.3): - Uses
	suggested cost file extension CostMatrix.FILE_EXTENSION.

1999-12-08 14:10  trigg

	* weka/classifiers/CostMatrix.java (1.4): - Changed to permit
	non-zero diagonal cost entries. Added a normalize method to convert
	to a matrix with zero valued diagonal entries.

1999-12-08 14:08  trigg

	* weka/classifiers/Evaluation.java (1.22): - Changed handling for
	cost-sensitive evaluation. Confusion matrix no longer includes cost
	factors (too confusing), similar with true/false positive rates. 
	Replaced non-intuitive correct/incorrect with cost with average
	cost and total cost. Command line option -m now only specifies
	cost-sensitive evaluation, for cost-sensitive prediction use one of
	the cost-sensitive meta schemes.


1999-12-06 15:52  eibe

	* weka/classifiers/DecisionStump.java (1.9): Fixed bug that
	produced incorrect decision stumps for nominal attributes when the
	class is nominal and missing values are present.

1999-12-06 13:20  trigg

	* weka/experiment/AveragingResultProducer.java (1.4): - Removed
	repeated code.

1999-12-06 13:07  trigg

	* weka/experiment/DatabaseResultProducer.java (1.5): - Fixed bug
	where doRunKeys had no body.

1999-12-06 10:29  trigg

	* weka/gui/: CostMatrixEditor.java (1.2), FileEditor.java (1.3),
	SetInstancesPanel.java (1.4), experiment/DatasetListPanel.java
	(1.6), experiment/ResultsPanel.java (1.11),
	experiment/SetupPanel.java (1.9), explorer/AssociationsPanel.java
	(1.8), explorer/AttributeSelectionPanel.java (1.9),
	explorer/ClassifierPanel.java (1.20), explorer/ClustererPanel.java
	(1.10), explorer/PreprocessPanel.java (1.12): - Changed
	FileChoosers to default to the current directory rather than user's
	home (on Mac and NT, where the user's home is often nowhere near
	anything useful, the current directory makes much more sense. The
	user's home is still only one click away).

1999-12-06 10:10  trigg

	* weka/: experiment/CostSensitiveClassifierSplitEvaluator.java
	(1.1), gui/GenericObjectEditor.props (1.8): - Added a classifier
	split evaluator that performs cost-sensitive evaluation.

1999-12-06 10:09  trigg

	* weka/classifiers/: CostSensitiveClassifier.java (1.2),
	Evaluation.java (1.21), MetaCost.java (1.2): - Changed cost file
	handling for cost-sensitive classifiers to support experiments
	across multiple datasets. Cost files can now be loaded "on-demand"
	where a specified directory will be searched for a cost file named
	with the relation name plus ".cost". Added a method to Evalution to
	return the average cost.

1999-12-02 19:34  trigg

	* weka/: classifiers/Makefile (1.8), classifiers/MetaCost.java
	(1.1), gui/GenericObjectEditor.props (1.7): - Implemented MetaCost,
	first version. Modified Makefile and gui property file accordingly.

1999-12-02 19:33  trigg

	* weka/classifiers/Bagging.java (1.9): - Added an option for
	resamples to be a different size to the input training set (for
	superlinear schemes, reducing this can give large speedups).

1999-12-02 19:32  trigg

	* weka/classifiers/CostMatrix.java (1.3): - Added a method to
	generate a default cost matrix for a set of instances that weights
	errors proportional to the ratio of the predicted to actual class
	(i.e. higher cost for predicting a rare class as a common class)

1999-12-02 19:30  trigg

	* weka/classifiers/Evaluation.java (1.20): - Removed debugging
	output of cost matrix

1999-12-02 19:29  trigg

	* weka/classifiers/DistributionClassifier.java (1.3): - Fixed typo

1999-12-02 19:29  trigg

	* weka/classifiers/CheckClassifier.java (1.9): - Fixed bug in
	testing whether test class vals are ignored (I think this was only
	due to an earlier change in Instances)

1999-12-02 19:27  trigg

	* weka/core/Matrix.java (1.4): - Made serializable, so
	cost-sensitive classifiers can be serialized properly

1999-12-01 10:53  eibe

	* weka/gui/AttributeSummaryPanel.java (1.2): Changed import
	statement for AttributeStats class.

1999-11-30 16:54  mhall

	* weka/gui/explorer/VisualizePanel.java (1.10): Fixed bug affecting
	attributes with only one distinct value.

1999-11-30 16:52  eibe

	* weka/core/AttributeStats.java (1.1): Made AttributeStats a
	separate public class.

1999-11-30 16:51  eibe

	* weka/core/: Instances.java (1.15), Makefile (1.5): Made
	AttributeStats public class.

1999-11-30 16:32  eibe

	* weka/filters/NominalToBinaryFilter.java (1.7): No longer creates
	two dummy attributes for original binary attribute in datasets with
	a nominal class.

1999-11-30 15:51  trigg

	* weka/: Makefile (1.16), classifiers/Makefile (1.7), gui/Makefile
	(1.6): - Changed makefiles to allow using alternatives to javac.
	eg: make all JAVA=jikes

1999-11-30 15:24  eibe

	* weka/classifiers/Logistic.java (1.6): 1. Fixed bug that made
	results for nominal datasets meaningless.  2. Included proper ridge
	estimator to avoid singularities.

1999-11-30 10:54  mhall

	* weka/experiment/PairedTTester.java (1.6): Fixed bug in code that
	sets field widths for standard deviations.

1999-11-29 11:46  trigg

	* weka/gui/GenericObjectEditor.props (1.6): - Changed to include
	new filters.

1999-11-29 11:44  trigg

	* weka/filters/Makefile (1.9): - adjusted to reflect the new
	filters

1999-11-29 11:35  trigg

	* weka/filters/: AttributeTypeFilter.java (1.1),
	StringToNominalFilter.java (1.1): - Initial version of new filter.

1999-11-29 11:33  trigg

	* weka/experiment/PairedStats.java (1.3): - Can take a two column
	arff file as input and calculate stats between

1999-11-29 11:31  trigg

	* weka/core/Instances.java (1.14): - String attribute values now
	not duplicated in header.

1999-11-29 10:29  mhall

	* weka/attributeSelection/RankSearch.java (1.1): Initial import.

1999-11-29 10:28  mhall

	* weka/attributeSelection/AttributeSelection.java (1.12): Changed
	how field widths are set.

1999-11-29 10:27  mhall

	* weka/gui/explorer/AttributeSelectionPanel.java (1.8): Changed so
	that results list shows seach + evaluator, rather than evaluator +
	search.

1999-11-29 10:26  mhall

	* weka/experiment/DatabaseUtils.java (1.6): Increased max string
	size to 300 chars.

1999-11-26 17:25  mhall

	* weka/gui/experiment/ResultsPanel.java (1.10): Shortened the label
	for the standard deviation check box.

1999-11-26 16:46  mhall

	* weka/Makefile (1.15): Added line to include weka icon jpg in jar
	file.

1999-11-26 16:42  mhall

	* weka/gui/experiment/ResultsPanel.java (1.9): Added a checkbox for
	displaying standard deviations.

1999-11-26 16:40  mhall

	* weka/experiment/: AveragingResultProducer.java (1.3),
	CrossValidationResultProducer.java (1.3),
	DatabaseResultProducer.java (1.4), InstanceQuery.java (1.4),
	RandomSplitResultProducer.java (1.3), ResultProducer.java (1.2):
	Added a doRunKeys method to assemble just the keys for a run. Fixes
	the problem of results being regenerated for stuff that is already
	in a database.

1999-11-26 16:33  mhall

	* weka/experiment/PairedTTester.java (1.5): Added the ability for
	standard deviations to be output.

1999-11-26 16:32  mhall

	* weka/experiment/Experiment.java (1.4): Fixed bug that caused
	instances to be reloaded for each run!

1999-11-25 16:57  mhall

	* weka/gui/explorer/VisualizePanel.java (1.9): Fixed bug that
	prevented left-button popup of instance info to work after the
	first right-button popup had been closed.

1999-11-25 12:29  mhall

	* weka/clusterers/: ClusterEvaluation.java (1.8), Clusterer.java
	(1.4), DistributionClusterer.java (1.4), EM.java (1.7): Added
	distributionForInstance, makeCopies.

1999-11-18 13:51  mhall

	* weka/gui/explorer/Explorer.java (1.10): Displays weka icon when
	iconified.

1999-11-18 13:50  mhall

	* weka/gui/weka_icon.jpg (1.1): Initial import.

1999-11-18 13:48  mhall

	* weka/: filters/AddFilter.java (1.5),
	attributeSelection/CfsSubsetEval.java (1.7),
	attributeSelection/BestFirst.java (1.13),
	attributeSelection/WrapperSubsetEval.java (1.9): Added a globalInfo
	method and TipText methods for each property.

1999-11-18 13:47  mhall

	* weka/gui/PropertySheetPanel.java (1.2): Can now display global
	information about the target object as well as individual tip text
	for each property. Editable objects need to have a public String
	globalInfo() method and a TipText() method for each editable
	property. Eg, if some class has get/setBlah() then it needs a
	public String blahTipText() method. Still works fine for classes
	that don't have these methods.

1999-11-15 12:10  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.19): Added some
	progress status for when a classifier is testing.

1999-11-15 09:37  eibe

	* weka/: classifiers/Evaluation.java (1.19),
	experiment/DatabaseUtils.java (1.5), experiment/InstanceQuery.java
	(1.3): Changed html tags to be properly nested.

1999-11-15 09:29  eibe

	* weka/filters/ResampleFilter.java (1.2): Changed Java 1.2 class to
	nextInt() to 1.1 format.

